Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dmg.builders
Class RequestObjectBuilderFactory

    java.lang.Object
      be.ehealth.businessconnector.dmg.builders.RequestObjectBuilderFactory

    public final class RequestObjectBuilderFactory

extends Object

Factory for all Builders that are necessary to create a request for DMG Creates `RequestObjectBuilder`

Field Summary
`static String` | `DEFAULT_REQUESTBUILDER_CLASS` the default requestObjectBuilder implementation name.
`static String` | `PROP_REQUESTBUILDER_CLASS` property name to set the desired implemenation class for the requestobjectbuilder.

Method Summary
`static RequestObjectBuilder` | `getRequestObjectBuilder()` Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property "dmg.requestobjectbuilder.class" ).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_REQUESTBUILDER_CLASS

    public static final String PROP_REQUESTBUILDER_CLASS

  property name to set the desired implemenation class for the requestobjectbuilder. this class must implement the correct interface.

  See Also:
    Constant Field Values

### DEFAULT_REQUESTBUILDER_CLASS

    public static final String DEFAULT_REQUESTBUILDER_CLASS

  the default requestObjectBuilder implementation name.

  See Also:
    Constant Field Values

Method Detail

### getRequestObjectBuilder

    public static RequestObjectBuilder getRequestObjectBuilder()
                                                        throws TechnicalConnectorException

  Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property "dmg.requestobjectbuilder.class" ). By default, it would be "be.ehealth.businessconnector.dmg.builders.impl.RequestObjectBuilderImpl"

  Returns:
    `RequestObjectBuilder` the instance of the `RequestObjectBuilder`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.